## mando 0.6.4

=== Makefile ===
.PHONY: tests cov htmlcov pep8 pylint docs dev-deps test-deps publish coveralls

tests:
	python mando/tests/run.py

cov:
	coverage erase && coverage run --include "mando/*" --omit "mando/tests/*,mando/napoleon/*" mando/tests/run.py
	coverage report -m

htmlcov: cov
	coverage html

pep8:
	pep8 mando --exclude "tests"

pylint:
	pylint --rcfile pylintrc mando

docs:
	cd docs && make html

dev-deps:
	pip install -r dev_requirements.pip

test-deps:
	pip install -r test_requirements.pip

publish:
	python setup.py sdist bdist_wheel upload

coveralls: test-deps cov
	coveralls

=== debian/changelog ===
mando (0.6.4-6ubuntu1) jammy; urgency=medium

  * Fix build and tests with python 3.10 (LP: #1960133):
    - d/p/py310-collections-import.patch: fix collections import under
      python 3.10+
    - d/p/py310-help-output.patch: more python 3.10 fixes, thanks to
      Steve Kowalik <steven@wedontsleep.org> for the patch

 -- Andreas Hasenack <andreas@canonical.com>  Sat, 05 Feb 2022 14:19:59 +0000

mando (0.6.4-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints.
    + python-mando-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Update standards version to 4.5.1, no changes needed.

  [ Neil Williams ]
  * Bump standards version to 4.6.0
  * Add sphinxdoc support to rules to add dependency on libjs-sphinxdoc
    for python-mando-doc (Closes: #988765)

 -- Neil Williams <codehelp@debian.org>  Sat, 09 Oct 2021 13:15:43 +0100

mando (0.6.4-5) unstable; urgency=medium

  [ Neil Williams ]
  * Migrate to the Debian Python team.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * d/control: Remove ancient X-Python3-Version field.

 -- Neil Williams <codehelp@debian.org>  Sun, 28 Jul 2019 15:50:12 +0100

mando (0.6.4-4) unstable; urgency=medium

  * Fix in-build tests command. (Closes: #916703)

 -- Neil Williams <codehelp@debian.org>  Mon, 07 Jan 2019 19:51:54 +0000

mando (0.6.4-3) unstable; urgency=medium

  * Fix broken symlink to _static/underscore.js (Closes: #911477)

 -- Neil Williams <codehelp@debian.org>  Thu, 25 Oct 2018 14:12:43 +0100

mando (0.6.4-2) unstable; urgency=medium

  * Update debian/copyright for mando/napoleon

 -- Neil Williams <codehelp@debian.org>  Tue, 09 Oct 2018 16:18:22 +0100

mando (0.6.4-1) unstable; urgency=medium

  * Initial release. (Closes: #910564: ITP: mando -- command line
    argument parser for python)

 -- Neil Williams <codehelp@debian.org>  Mon, 08 Oct 2018 09:27:15 +0100

=== debian/control ===
Source: mando
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Neil Williams <codehelp@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python,
 python3-all:any, python3-setuptools, python3-pytest,
 python3-sphinx, libjs-underscore, libjs-jquery
Standards-Version: 4.6.0
Homepage: https://mando.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/packages/mando.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mando

Package: python3-mando
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-mando-doc
Description: command line argument parser for python3
 Mando attempts to simplify command line argument parsing
 with multiple commands by using decorators to infer the
 boilerplate for argparse directly from the function
 declarations.
 .
 This package installs the library for Python 3.

Package: python-mando-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: command line argument parser for python3 (common documentation)
 Mando attempts to simplify command line argument parsing
 with multiple commands by using decorators to infer the
 boilerplate for argparse directly from the function
 declarations.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d @"$(SOURCE_DATE_EPOCH)")

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

export PYBUILD_NAME=mando

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_test:
	${RM} -r .pybuild/
	python3 setup.py test
	PYTHONPATH=. pytest-3 mando/

override_dh_auto_build:
	python3 setup.py build
	make -C docs/ html SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
	$(RM) doc/v2/_build/html/objects.inv

override_dh_auto_clean:
	python3 setup.py clean -a
	${RM} -r .pytest_cache/ ./mando/__pycache__ ./mando/napoleon/__pycache__
	${RM} -r .pybuild/ mando/tests/__pycache__ test.log

override_dh_installexamples:
	dh_installexamples -p python3-mando
	dh_installexamples -p python-mando-doc --doc-main-package python-mando-doc

override_dh_installdocs:
	dh_installdocs -p python3-mando
	dh_installdocs -p python-mando-doc --doc-main-package python-mando-doc

=== debian/tests/control ===
Tests: testsuite
Depends: python3, python3-setuptools, python3-pytest
Restrictions: allow-stderr

## mando 0.7.1

=== debian/changelog ===
mando (0.7.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove unused license definitions for BSD-3-Clause.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 10:43:42 +0000

mando (0.7.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1005015)

 -- Neil Williams <codehelp@debian.org>  Sun, 06 Mar 2022 08:43:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: mando
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Neil Williams <codehelp@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all:any, python3-setuptools, python3-pytest,
  python3-sphinx, libjs-underscore, libjs-jquery
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://mando.readthedocs.io/en/latest/
 Vcs-Git: https://salsa.debian.org/python-team/packages/mando.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mando

=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,8 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean -a
-	${RM} -r .pytest_cache/ ./mando/__pycache__ ./mando/napoleon/__pycache__
-	${RM} -r .pybuild/ mando/tests/__pycache__ test.log
+	find . -name "*.pyc" -delete
+	${RM} -r .pytest_cache/ .pybuild/ test.log .travis.yml docs/_build/
 
 override_dh_installexamples:
 	dh_installexamples -p python3-mando

=== debian/tests/control ===
Tests: testsuite
Depends: @, python3-six, python3-setuptools-scm, python3-pytest
Restrictions: allow-stderr

## mando 0.8.0

=== debian/changelog ===
mando (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * Drop dependency on python3-six
  * Refresh remove-funcsigs patch

 -- Alexandre Detiste <tchet@debian.org>  Sun, 20 Oct 2024 13:27:09 +0200

mando (0.7.1-4) unstable; urgency=medium

  * Fix FTBFS with setuptools 72 (Closes: #1080223)
  * Trim dependencies of autopkgtest

 -- Alexandre Detiste <tchet@debian.org>  Mon, 02 Sep 2024 01:02:08 +0200

mando (0.7.1-3) unstable; urgency=medium

  * Team Upload
  * Add missing python3-six build-dep (Closes: #1073386)
  * Set Rules-Requires-Root: no
  * Add myself as human Uploader.

  [ Neil Williams ]
  * Update control to remove myself from Uploaders

 -- Alexandre Detiste <tchet@debian.org>  Sun, 30 Jun 2024 23:29:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,17 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Neil Williams <codehelp@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python,
- python3-all:any, python3-setuptools, python3-pytest,
- python3-sphinx, libjs-underscore, libjs-jquery
+Uploaders: Alexandre Detiste <tchet@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ libjs-underscore,
+ libjs-jquery,
+ python3-all,
+ python3-pytest,
+ python3-setuptools,
+ python3-sphinx,
+Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Homepage: https://mando.readthedocs.io/en/latest/
 Vcs-Git: https://salsa.debian.org/python-team/packages/mando.git
@@ -20,8 +27,6 @@
  with multiple commands by using decorators to infer the
  boilerplate for argparse directly from the function
  declarations.
- .
- This package installs the library for Python 3.
 
 Package: python-mando-doc
 Architecture: all

## mando 0.8.2

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,10 @@
 	pip install -r test_requirements.pip
 
 publish:
-	python setup.py sdist bdist_wheel upload
+	rm -rf dist/*
+	python setup.py sdist bdist_wheel
+	twine upload dist/*
+	python setup.py develop
 
 coveralls: test-deps cov
 	coveralls

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mando.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mando.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mando"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mando"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
mando (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * Remove patches applied upstream
  * Switch to X-Style: black"

 -- Alexandre Detiste <tchet@debian.org>  Mon, 03 Feb 2025 17:04:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Alexandre Detiste <tchet@debian.org>,
+Uploaders:
+ Alexandre Detiste <tchet@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ libjs-jquery,
  libjs-underscore,
- libjs-jquery,
  python3-all,
  python3-pytest,
  python3-setuptools,
@@ -17,11 +18,15 @@
 Homepage: https://mando.readthedocs.io/en/latest/
 Vcs-Git: https://salsa.debian.org/python-team/packages/mando.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mando
+X-Style: black
 
 Package: python3-mando
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
-Suggests: python-mando-doc
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Suggests:
+ python-mando-doc,
 Description: command line argument parser for python3
  Mando attempts to simplify command line argument parsing
  with multiple commands by using decorators to infer the
@@ -31,7 +36,9 @@
 Package: python-mando-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Multi-Arch: foreign
 Description: command line argument parser for python3 (common documentation)
  Mando attempts to simplify command line argument parsing

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
+
 #export DH_VERBOSE = 1
 
 include /usr/share/dpkg/pkg-info.mk
@@ -13,11 +12,10 @@
 export PYBUILD_NAME=mando
 
 %:
-	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
 	${RM} -r .pybuild/
-	python3 setup.py test
 	PYTHONPATH=. pytest-3 mando/
 
 override_dh_auto_build:

=== debian/tests/control ===
Tests:
 testsuite,
Depends:
 python3-pytest,
 @,
Restrictions:
 allow-stderr,
